%define version 0.4
%define release 0.20030810.2mdk
%define req_gimp_version 1.3.18

%define pkgname gimp-freetype

Summary:	A GIMP font renderer based on the freetype library
Name:		gimp2-freetype
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://freetype.gimp.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{pkgname}-%{version}.tar.bz2

BuildRequires:	libgimp1.3-devel >= %{req_gimp_version}
BuildRequires:	freetype2-devel
Requires:	gimp1_3 >= %{req_gimp_version}

%description
The goal of gimp-freetype project is to get superb font support into
The GIMP. As a first step, a plug-in for GIMP based on the freetype2
library is developed. Later it might become a tool or a pluggable
module.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%define gettext_package gimp20-freetype
%{find_lang} %{gettext_package}

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/gimp/*/plug-ins/*
%{_datadir}/gimp-freetype

%changelog
* Tue Aug 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-0.20030810.2mdk
- new gimp

* Sun Aug 10 2003 Abel Cheung <maddog@linux.org.hk> 0.4-0.20030810.1mdk
- First Mandrake spec
- CVS 2003-08-10
